package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.beisenconfig.app.*;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class BSViewConfigEntry extends CoreBillEntryBase implements IBSViewConfigEntry
{
    public BSViewConfigEntry()
    {
        super();
        registerInterface(IBSViewConfigEntry.class, this);
    }
    public BSViewConfigEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IBSViewConfigEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6005D0AF");
    }
    private BSViewConfigEntryController getController() throws BOSException
    {
        return (BSViewConfigEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public BSViewConfigEntryInfo getBSViewConfigEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public BSViewConfigEntryInfo getBSViewConfigEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public BSViewConfigEntryInfo getBSViewConfigEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public BSViewConfigEntryCollection getBSViewConfigEntryCollection() throws BOSException
    {
        try {
            return getController().getBSViewConfigEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public BSViewConfigEntryCollection getBSViewConfigEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getBSViewConfigEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public BSViewConfigEntryCollection getBSViewConfigEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getBSViewConfigEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}